// Providers:

var REG_NONE = NewRegistrar('none');    // No registrar.
var DNS_BIND = NewDnsProvider('bind');  // ISC BIND.
var DNS_HEDNS = NewDnsProvider('hedns');  

D('sealight.xyz', REG_NONE, DnsProvider(DNS_HEDNS),
	DefaultTTL(86400),
	//SOA('@', 'ns1.he.net.', 'hostmaster.he.net.', 2022121008, 86400, 7200, 3600000, 172800, TTL(172800)),
	//NAMESERVER('ns1.he.net.'),
	//NAMESERVER('ns2.he.net.'),
	//NAMESERVER('ns3.he.net.'),
	//NAMESERVER('ns4.he.net.'),
	//NAMESERVER('ns5.he.net.'),
	// capsul: helix
	A('bridge', '69.61.38.225', TTL(300)),
	A('rss', '69.61.38.225', TTL(300)),
	A('git', '69.61.38.225', TTL(300)),
	A('ci', '69.61.38.225', TTL(300)),
	// vultr -> nulled: lituus
	A('@', '45.77.48.108', TTL(300)),
	A('jitsi', '45.77.48.108', TTL(300)),
	A('chat', '45.77.48.108', TTL(300)),
	A('element', '45.77.48.108', TTL(300)),
	A('turn', '45.77.48.108', TTL(300)),
	//nullhex free email real estate
	CNAME('key1._domainkey', 'key1.nullhex.com.'),
	CNAME('autoconfig', 'autoconfig.nullhex.com.'),
	MX('@', 10, 'smtp-in-1.nullhex.com.'),
	MX('@', 20, 'smtp-in-2.nullhex.com.'),
	TXT('@', 'v=spf1 a mx ~all'),
	SRV('_autodiscover._tcp', 0, 1, 443, 'autodiscover.nullhex.com.'),
	TXT('_dmarc', 'v=DMARC1; p=quarantine;'),
	SRV('_imaps._tcp', 0, 1, 993, 'imap.nullhex.com.'),
	SRV('_submissions._tcp', 0, 1, 465, 'smtp.nullhex.com.')
);
